Bug 1111655 - Disks imported from Export Domain to Data Domain are converted to Preallocated after upgrade from oVirt 3.4.1 to 3.4.2
Summary: Disks imported from Export Domain to Data Domain are converted to Preallocate...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.4
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: 3.4.4
Assignee: Tal Nisan
QA Contact: Aharon Canan
URL:
Whiteboard: storage
Depends On:
Blocks: 1154674
TreeView+ depends on / blocked
 
Reported: 2014-06-20 16:07 UTC by Sokratis
Modified: 2016-02-10 20:28 UTC (History)
7 users (show)

Fixed In Version: ovirt-3.4.4_rc
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-24 08:09:14 UTC
oVirt Team: Storage
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 31548 0 ovirt-engine-3.4 MERGED core: Do not convert to preallocated images import to a block domain Never

Description Sokratis 2014-06-20 16:07:21 UTC
Description of problem: 

When importing a VM with Thin Provisioned Disks from Export Domain to an FC Data Domain, the task is completed successfully but the disks are converted to Preallocated.

Version-Release number of selected component (if applicable): 3.4.2


How reproducible: 


Steps to Reproduce:

1. Import a VM (with thin provisioned disks) from export domain to an FC data domain on oVirt 3.4.2

Actual results:

Import is completed successfully but disks are converted to Preallocated


Expected results:

Import is completed successfully and disks remain Thin Provisioned

Additional info:

The issue occurred only after upgrading from oVirt 3.4.1 to oVirt 3.4.2 (and also after performing a yum upgrade on all ovirt nodes).

The problem never occurred with oVirt 3.4.1.

Comment 1 Sandro Bonazzola 2014-07-18 09:43:13 UTC
This is an automated message.
oVirt 3.4.3 has been released while this bug was still open.
The bug has been re-targeted to 3.4.4 accordingly.

Comment 2 Sandro Bonazzola 2014-09-24 08:09:14 UTC
oVirt 3.4.4 has been released.


Note You need to log in before you can comment on or make changes to this bug.